Subject: Re: [RFC PATCH 9/9] dt-bindings: net: dsa: Add documentation for Hellcreek switches

From: Florian Fainelli <[email-masked]>
Date: Fri, 26 Jun 2020 10:11:40 -0700

On 6/22/20 5:05 AM, Kurt Kanzenbach wrote:
> On Fri Jun 19 2020, Kurt Kanzenbach wrote:
>> On Thu Jun 18 2020, Florian Fainelli wrote:
>>> On 6/17/2020 11:40 PM, Kurt Kanzenbach wrote:
>>>> Add basic documentation and example.
>>>>
>>>> Signed-off-by: Kurt Kanzenbach <[email-masked]>
>>>> ---
>>>>  .../devicetree/bindings/net/dsa/hellcreek.txt | 72 +++++++++++++++++++
>>>>  1 file changed, 72 insertions(+)
>>>>  create mode 100644 Documentation/devicetree/bindings/net/dsa/hellcreek.txt
>>>>
>>>> diff --git a/Documentation/devicetree/bindings/net/dsa/hellcreek.txt b/Documentation/devicetree/bindings/net/dsa/hellcreek.txt
>>>> new file mode 100644
>>>> index 000000000000..9ea6494dc554
>>>> --- /dev/null
>>>> +++ b/Documentation/devicetree/bindings/net/dsa/hellcreek.txt
>>>
>>> This should be a YAML binding and we should also convert the DSA binding
>>> to YAML one day.
>>
>> OK.
> 
> I converted it into a YAML binding. Should I provide the dsa.yaml as
> well? Otherwise I have to define the DSA properties such as dsa,member
> in the hellcreek.yaml file.

If you have the generic DSA binding converted as YAML that would be
highly welcome you can submit that separately from your patch series.

There are quite a few Device Tree sources in tree that can be used as a
validation vector for dsa.yaml.
-- 
Florian